> ## Documentation Index
> Fetch the complete documentation index at: https://docs.callers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete all memories for contact

> Soft deletes all memory items for the specified contact by marking their status as DELETED.



## OpenAPI

````yaml https://api.callers.ai/openapi-json delete /contacts/{contactId}/memories
openapi: 3.0.0
info:
  title: Callers API
  description: API documentation for Callers, providing endpoints for seamless integration.
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.callers.ai
security: []
tags: []
paths:
  /contacts/{contactId}/memories:
    delete:
      tags:
        - Contact Memory
      summary: Delete all memories for contact
      description: >-
        Soft deletes all memory items for the specified contact by marking their
        status as DELETED.
      operationId: ContactMemoryPublicController_deleteByContactId
      parameters:
        - name: contactId
          required: true
          in: path
          description: Contact ID
          schema:
            type: string
        - name: x-sub-organization-id
          in: header
          schema:
            type: string
          description: >-
            Optional sub organization ID. Must belong to your main organization
            API key.
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                  data:
                    type: object
                    properties:
                      count:
                        type: number
                        description: Number of deleted memories
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                  data:
                    type: array
                    items:
                      type: object
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

````